Answered By: Kathryn Park
Last Updated: Jul 28, 2015     Views: 88

Yes. Generally you'll need the latest browser, fairly current operating system, javascript and cookies enabled in tour browser and Adobe Reader to read PDF articles and eBooks. See the Minimum Browser Requirements for EBSCO Interfaces link (below) for more details.

Answers by Topic

Ask COM Library Home

Back to Ask COM LIbrary

More Ways to Ask

COM Library Visit us at COM Library

email  Email us

call  Call us at 409-933-8448

SMS  Text us at 409-229-4142

  Fill Out a form

Get more on: